import React from 'react';
import { FoundationListDataProvider, FoundationListDataProviderContext } from '@billogram/foundation-list-data-provider';
export default function FoundationTableDataProvider(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      fetchData = _ref.fetchData,
      initialFetchDataOptions = _ref.initialFetchDataOptions,
      initialLimit = _ref.initialLimit,
      initialSortBy = _ref.initialSortBy,
      initialSortDirection = _ref.initialSortDirection;
  return React.createElement(FoundationListDataProvider, {
    fetchData: fetchData,
    initialFetchDataOptions: initialFetchDataOptions,
    initialLimit: initialLimit,
    initialSortBy: initialSortBy,
    initialSortDirection: initialSortDirection
  }, function (context) {
    return React.createElement(FoundationListDataProviderContext.Provider, {
      value: context
    }, children);
  });
}
//# sourceMappingURL=FoundationTableDataProvider.js.map